<?php
/**
 * Description of component
 *
 * @package     TX_Freemium
 * @version     1.7
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        component.php
 **/

//framework bootstrap
require_once JPATH_LIBRARIES.DS.'expose'.DS.'bootstrap.php';
?>
<?php if (JRequest::getString('type')=='raw'):?>
	<jdoc:include type="component" />
<?php else: ?>
<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo ($this->direction =='rtl' OR $expose->get('rtl_enable'))? 'rtl' : 'ltr'; ?>" class="no-js">
    <head>
        <?php
            $expose->displayHead();
            $expose->addStyles(array('template.css'));
        ?>
    </head>
    <body <?php echo $expose->generateBodyClass();?> >
        <!--Start Main Body-->
        <div id="tx-main">
            <div class="tx-container">
                <div id="tx-mainbody">
                    <div class="tx-content">
                        <jdoc:include type="component" />
                    </div>
                </div>
                <div class="clear"></div>
            </div>
        </div>
        <!--End Main Body Modules-->
    </body>
</html>
<?php endif;?>
<?php
$expose->loadGists(array('analytics','scrolltotop','lazyloader','modernizr'));
$expose->finalizedExpose();
?>